package ink.wgink.module.form.pojo.dtos.docnolog;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: DocNoLogDTO
 * @Description: 文号日志
 * @Author: CodeFactory
 * @Date: 2022-06-29 14:19:06
 * @Version: 3.0
 **/
@ApiModel
public class DocNoLogDTO {

    @ApiModelProperty(name = "docNoLogId", value = "主键")
    private String docNoLogId;
    @ApiModelProperty(name = "docNoId", value = "文号ID")
    private String docNoId;
    @ApiModelProperty(name = "docNoUsedId", value = "使用ID，同一类的文号相同")
    private String docNoUsedId;
    @ApiModelProperty(name = "docNoYear", value = "文号年")
    private Integer docNoYear;
    @ApiModelProperty(name = "docNoMonth", value = "文号月")
    private Integer docNoMonth;
    @ApiModelProperty(name = "docNoDay", value = "文号日")
    private Integer docNoDay;
    @ApiModelProperty(name = "docNoNu", value = "文号")
    private Integer docNoNu;
    @ApiModelProperty(name = "docNoFull", value = "完整文号")
    private String docNoFull;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;

    public String getDocNoLogId() {
        return docNoLogId == null ? "" : docNoLogId.trim();
    }

    public void setDocNoLogId(String docNoLogId) {
        this.docNoLogId = docNoLogId;
    }

    public String getDocNoId() {
        return docNoId == null ? "" : docNoId.trim();
    }

    public void setDocNoId(String docNoId) {
        this.docNoId = docNoId;
    }

    public String getDocNoUsedId() {
        return docNoUsedId == null ? "" : docNoUsedId.trim();
    }

    public void setDocNoUsedId(String docNoUsedId) {
        this.docNoUsedId = docNoUsedId;
    }

    public Integer getDocNoYear() {
        return docNoYear == null ? 0 : docNoYear;
    }

    public void setDocNoYear(Integer docNoYear) {
        this.docNoYear = docNoYear;
    }

    public Integer getDocNoMonth() {
        return docNoMonth == null ? 0 : docNoMonth;
    }

    public void setDocNoMonth(Integer docNoMonth) {
        this.docNoMonth = docNoMonth;
    }

    public Integer getDocNoDay() {
        return docNoDay == null ? 0 : docNoDay;
    }

    public void setDocNoDay(Integer docNoDay) {
        this.docNoDay = docNoDay;
    }

    public Integer getDocNoNu() {
        return docNoNu == null ? 0 : docNoNu;
    }

    public void setDocNoNu(Integer docNoNu) {
        this.docNoNu = docNoNu;
    }

    public String getDocNoFull() {
        return docNoFull == null ? "" : docNoFull.trim();
    }

    public void setDocNoFull(String docNoFull) {
        this.docNoFull = docNoFull;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }


}
